include(FetchContent)

FetchContent_Declare(
    sqlite3
    URL https://www.sqlite.org/2025/sqlite-amalgamation-3490100.zip
    DOWNLOAD_EXTRACT_TIMESTAMP TRUE
)

FetchContent_MakeAvailable(
    sqlite3
)

add_library(
    sqlite3
    STATIC
)

target_include_directories(
    sqlite3
    PUBLIC
    ${sqlite3_SOURCE_DIR}
)

target_sources(
    sqlite3
    PRIVATE
    ${sqlite3_SOURCE_DIR}/sqlite3.c
)
